LibreOffice LibreOffice 25.2 SDK API Reference

Modules | Variables
FrameSearchFlag.idl File Reference

Go to the source code of this file.

## Modules
module | com
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::frame
| Desktop environment framework interfaces.

## Constant Groups
constants | com::sun::star::frame::FrameSearchFlag
| these types describe the algorithm to be used to search a frame

## Variables
const long | AUTO = 0
| no longer supported More...
const long | PARENT = 1
| allows search on the parent frames More...
const long | SELF = 2
| includes the start frame himself More...
const long | CHILDREN = 4
| includes all child frames of the start frame More...
const long | CREATE = 8
| frame will be created if not found More...
const long | SIBLINGS = 16
| includes the direct siblings of the start frame More...
const long | TASKS = 32
| allow the search outside the current sub task tree of the whole possible frame tree More...
const long | ALL = 23
| includes all frames except frames in other tasks sub trees but doesn't create any new frame More...
const long | GLOBAL = 55
| searches in the whole hierarchy of frames but doesn't create any new frame More...